ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
timer_widget_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_timer (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $Database = false
| $Security = false
| $String = false

## Detailed Description

Class processes controls macro.

Author
  Dodonov A.A.

Definition at line 26 of file timer_widget.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 54 of file timer_widget.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->Database = get_package( 'database' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_timer | ( | & | $Settings | ) |

Function processes macro 'timer'.

Parameters

  $Settings | - Compilation parameters.

Returns
  Code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 91 of file timer_widget.php.

{
try
{
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'timer.tpl' );
$Code = $this->String->print_record( $Code , $this->Settings->get_raw_settings() );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 39 of file timer_widget.php.

$Database = false

Definition at line 40 of file timer_widget.php.

$Security = false

Definition at line 41 of file timer_widget.php.

$String = false

Definition at line 42 of file timer_widget.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/timer_widget/timer_widget.php